Subject: Re: speed up a logical replica setup

From: 'Alvaro Herrera' <[email-masked]>
Date: Thu, 22 Feb 2024 17:04:57 +0100

Hello,

On 2024-Feb-22, Hayato Kuroda (Fujitsu) wrote:

> Dear Alvaro,

> > Hmm, but doesn't this mean that the server will log an ugly message
> > that "client closed connection unexpectedly"?  I think it's nicer to
> > close the connection before terminating the process (especially
> > since the code for that is already written).
> 
> OK. So we should disconnect properly even if the process exits. I
> added the function call again. Note that PQclear() was not added
> because it is only related with the application.

Sounds about right, but I didn't verify the patches in detail.

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"Hay quien adquiere la mala costumbre de ser infeliz" (M. A. Evans)